=== modified file 'cronscripts/expire-bugtasks.py'
--- cronscripts/expire-bugtasks.py	2011-04-19 20:54:47 +0000
+++ cronscripts/expire-bugtasks.py	2011-04-20 14:25:14 +0000
@@ -50,17 +50,13 @@
         try:
             janitor = BugJanitor(
                 log=self.logger, target=target, limit=self.options.limit)
-        except Exception as error:
-            # We use a catchall here (and in the next block) because we don't
-            # know (and don't care) about the particular error--we'll just
-            # log it to as an Oops.
-            self.logger.error(
-                'An error occured getting the janitor: %s' % error)
-        try:
             janitor.expireBugTasks(self.txn)
-        except Exception as error:
+        except Exception:
+            # We use a catchall here because we don't know (and don't care)
+            # about the particular error--we'll just log it to as an Oops.
             self.logger.error(
-                'An error occured trying to expire bugtasks: %s' % error)
+                'An error occured trying to expire bugtasks.', exc_info=1)
+            raise
 
 
 if __name__ == '__main__':

